var puzzle = {
  "EduNetworkBuilder": {
    "Network": {
      "en_message": "Right-click PC0 and ping laptop0 and laptop1.  You can put either the IP address or host-name of the device you are trying to ping in the box that pops up asking you for an IP.",
      "fr_message": "Cliquez avec le bouton droit de la souris sur PC0 et cochez laptop0 et laptop1. Vous pouvez mettre l'adresse IP ou le nom d'hôte du périphérique que vous essayez de cingler dans la zone qui apparaît pour vous demander une adresse IP.",
      "en_title": "Ping Test",
      "height": "1024",
      "width": "1024",
      "itemsize": "100",
      "showlabels": "full",
      "level": "0",
      "sortorder": "1",
      "uniqueidentifier": "130",
      "startinghelplevel": "full",
      "vlansenabled": "False",
      "VLANPacketColors": "False",
      "device": [
        {
          "hostname": "laptop0",
          "size": "100",
          "uniqueidentifier": "103",
          "location": "559,560",
          "mytype": "laptop",
          "isdns": "False",
          "isdhcp": "False",
          "gateway": {
            "ip": "192.168.1.1",
            "mask": "255.255.255.0",
            "gateway": "0.0.0.0",
            "type": "gw"
          },
          "nic": [
            {
              "nictype": [
                "lo",
                "lo"
              ],
              "nicname": "lo0",
              "myid": {
                "hostid": "103",
                "nicid": "104",
                "hostname": "laptop0",
                "nicname": "lo0"
              },
              "uniqueidentifier": "104",
              "usesdhcp": "False",
              "ssid": null,
              "interface": {
                "nicname": "lo0",
                "myip": {
                  "ip": "127.0.0.1",
                  "mask": "255.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "eth",
                "eth"
              ],
              "nicname": "eth0",
              "myid": {
                "hostid": "103",
                "nicid": "105",
                "hostname": "laptop0",
                "nicname": "eth0"
              },
              "uniqueidentifier": "105",
              "usesdhcp": "False",
              "ssid": null,
              "interface": {
                "nicname": "eth0",
                "myip": {
                  "ip": "192.168.1.3",
                  "mask": "255.255.255.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            }
          ]
        },
        {
          "hostname": "laptop1",
          "size": "100",
          "uniqueidentifier": "123",
          "location": "680,147",
          "mytype": "laptop",
          "isdns": "False",
          "isdhcp": "False",
          "gateway": {
            "ip": "192.168.2.1",
            "mask": "255.255.255.0",
            "gateway": "0.0.0.0",
            "type": "gw"
          },
          "nic": [
            {
              "nictype": [
                "lo",
                "lo"
              ],
              "nicname": "lo0",
              "myid": {
                "hostid": "123",
                "nicid": "124",
                "hostname": "laptop1",
                "nicname": "lo0"
              },
              "uniqueidentifier": "124",
              "usesdhcp": "False",
              "ssid": null,
              "interface": {
                "nicname": "lo0",
                "myip": {
                  "ip": "127.0.0.1",
                  "mask": "255.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "eth",
                "eth"
              ],
              "nicname": "eth0",
              "myid": {
                "hostid": "123",
                "nicid": "125",
                "hostname": "laptop1",
                "nicname": "eth0"
              },
              "uniqueidentifier": "125",
              "usesdhcp": "False",
              "ssid": null,
              "interface": {
                "nicname": "eth0",
                "myip": {
                  "ip": "192.168.2.2",
                  "mask": "255.255.255.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            }
          ]
        },
        {
          "hostname": "net_switch0",
          "size": "100",
          "uniqueidentifier": "109",
          "location": "406,328",
          "mytype": "net_switch",
          "isdns": "False",
          "isdhcp": "False",
          "gateway": {
            "ip": "192.168.1.1",
            "mask": "255.255.255.0",
            "gateway": "0.0.0.0",
            "type": "gw"
          },
          "nic": [
            {
              "nictype": [
                "lo",
                "lo"
              ],
              "nicname": "lo0",
              "myid": {
                "hostid": "109",
                "nicid": "110",
                "hostname": "net_switch0",
                "nicname": "lo0"
              },
              "uniqueidentifier": "110",
              "usesdhcp": "False",
              "ssid": null,
              "interface": {
                "nicname": "lo0",
                "myip": {
                  "ip": "127.0.0.1",
                  "mask": "255.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "management_interface",
                "management_interface"
              ],
              "nicname": "management_interface0",
              "myid": {
                "hostid": "109",
                "nicid": "111",
                "hostname": "net_switch0",
                "nicname": "management_interface0"
              },
              "uniqueidentifier": "111",
              "usesdhcp": "False",
              "ssid": null,
              "interface": {
                "nicname": "management_interface0",
                "myip": {
                  "ip": "192.168.1.4",
                  "mask": "255.255.255.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port1",
              "myid": {
                "hostid": "109",
                "nicid": "112",
                "hostname": "net_switch0",
                "nicname": "port1"
              },
              "uniqueidentifier": "112",
              "usesdhcp": "False",
              "ssid": null,
              "interface": {
                "nicname": "port1",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port2",
              "myid": {
                "hostid": "109",
                "nicid": "113",
                "hostname": "net_switch0",
                "nicname": "port2"
              },
              "uniqueidentifier": "113",
              "usesdhcp": "False",
              "ssid": null,
              "interface": {
                "nicname": "port2",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port3",
              "myid": {
                "hostid": "109",
                "nicid": "114",
                "hostname": "net_switch0",
                "nicname": "port3"
              },
              "uniqueidentifier": "114",
              "usesdhcp": "False",
              "ssid": null,
              "interface": {
                "nicname": "port3",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port4",
              "myid": {
                "hostid": "109",
                "nicid": "115",
                "hostname": "net_switch0",
                "nicname": "port4"
              },
              "uniqueidentifier": "115",
              "usesdhcp": "False",
              "ssid": null,
              "interface": {
                "nicname": "port4",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port5",
              "myid": {
                "hostid": "109",
                "nicid": "116",
                "hostname": "net_switch0",
                "nicname": "port5"
              },
              "uniqueidentifier": "116",
              "usesdhcp": "False",
              "ssid": null,
              "interface": {
                "nicname": "port5",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port6",
              "myid": {
                "hostid": "109",
                "nicid": "117",
                "hostname": "net_switch0",
                "nicname": "port6"
              },
              "uniqueidentifier": "117",
              "usesdhcp": "False",
              "ssid": null,
              "interface": {
                "nicname": "port6",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port7",
              "myid": {
                "hostid": "109",
                "nicid": "118",
                "hostname": "net_switch0",
                "nicname": "port7"
              },
              "uniqueidentifier": "118",
              "usesdhcp": "False",
              "ssid": null,
              "interface": {
                "nicname": "port7",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            }
          ]
        },
        {
          "hostname": "pc0",
          "size": "100",
          "uniqueidentifier": "100",
          "location": "246,560",
          "mytype": "pc",
          "isdns": "False",
          "isdhcp": "False",
          "gateway": {
            "ip": "192.168.1.1",
            "mask": "255.255.255.0",
            "gateway": "0.0.0.0",
            "type": "gw"
          },
          "nic": [
            {
              "nictype": [
                "lo",
                "lo"
              ],
              "nicname": "lo0",
              "myid": {
                "hostid": "100",
                "nicid": "101",
                "hostname": "pc0",
                "nicname": "lo0"
              },
              "uniqueidentifier": "101",
              "usesdhcp": "False",
              "ssid": null,
              "interface": {
                "nicname": "lo0",
                "myip": {
                  "ip": "127.0.0.1",
                  "mask": "255.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "eth",
                "eth"
              ],
              "nicname": "eth0",
              "myid": {
                "hostid": "100",
                "nicid": "102",
                "hostname": "pc0",
                "nicname": "eth0"
              },
              "uniqueidentifier": "102",
              "usesdhcp": "False",
              "ssid": null,
              "interface": {
                "nicname": "eth0",
                "myip": {
                  "ip": "192.168.1.2",
                  "mask": "255.255.255.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            }
          ]
        },
        {
          "hostname": "router0",
          "size": "100",
          "uniqueidentifier": "119",
          "location": "400,158",
          "mytype": "router",
          "isdns": "False",
          "isdhcp": "False",
          "gateway": {
            "ip": "0.0.0.0",
            "mask": "0.0.0.0",
            "gateway": "0.0.0.0",
            "type": "gw"
          },
          "nic": [
            {
              "nictype": [
                "lo",
                "lo"
              ],
              "nicname": "lo0",
              "myid": {
                "hostid": "119",
                "nicid": "120",
                "hostname": "router0",
                "nicname": "lo0"
              },
              "uniqueidentifier": "120",
              "usesdhcp": "False",
              "ssid": null,
              "interface": {
                "nicname": "lo0",
                "myip": {
                  "ip": "127.0.0.1",
                  "mask": "255.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "eth",
                "eth"
              ],
              "nicname": "eth0",
              "myid": {
                "hostid": "119",
                "nicid": "121",
                "hostname": "router0",
                "nicname": "eth0"
              },
              "uniqueidentifier": "121",
              "usesdhcp": "False",
              "ssid": null,
              "interface": {
                "nicname": "eth0",
                "myip": {
                  "ip": "192.168.1.1",
                  "mask": "255.255.255.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "eth",
                "eth"
              ],
              "nicname": "eth1",
              "myid": {
                "hostid": "119",
                "nicid": "122",
                "hostname": "router0",
                "nicname": "eth1"
              },
              "uniqueidentifier": "122",
              "usesdhcp": "False",
              "ssid": null,
              "interface": {
                "nicname": "eth1",
                "myip": {
                  "ip": "192.168.2.1",
                  "mask": "255.255.255.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            }
          ]
        }
      ],
      "link": [
        {
          "SrcNic": {
            "hostid": "100",
            "nicid": "102",
            "hostname": "pc0",
            "nicname": "eth0"
          },
          "DstNic": {
            "hostid": "109",
            "nicid": "112",
            "hostname": "net_switch0",
            "nicname": "port1"
          },
          "hostname": "pc0_link_net_switch0",
          "linktype": "normal",
          "uniqueidentifier": "126"
        },
        {
          "SrcNic": {
            "hostid": "103",
            "nicid": "105",
            "hostname": "laptop0",
            "nicname": "eth0"
          },
          "DstNic": {
            "hostid": "109",
            "nicid": "113",
            "hostname": "net_switch0",
            "nicname": "port2"
          },
          "hostname": "laptop0_link_net_switch0",
          "linktype": "normal",
          "uniqueidentifier": "127"
        },
        {
          "SrcNic": {
            "hostid": "109",
            "nicid": "114",
            "hostname": "net_switch0",
            "nicname": "port3"
          },
          "DstNic": {
            "hostid": "119",
            "nicid": "121",
            "hostname": "router0",
            "nicname": "eth0"
          },
          "hostname": "net_switch0_link_router0",
          "linktype": "normal",
          "uniqueidentifier": "128"
        },
        {
          "SrcNic": {
            "hostid": "119",
            "nicid": "122",
            "hostname": "router0",
            "nicname": "eth1"
          },
          "DstNic": {
            "hostid": "123",
            "nicid": "125",
            "hostname": "laptop1",
            "nicname": "eth0"
          },
          "hostname": "router0_link_laptop1",
          "linktype": "normal",
          "uniqueidentifier": "129"
        }
      ],
      "nettest": [
        {
          "shost": "pc0",
          "dhost": "laptop0",
          "thetest": "SuccessfullyPings"
        },
        {
          "shost": "pc0",
          "dhost": "laptop1",
          "thetest": "SuccessfullyPings"
        }
      ],
      "tag": "Ping",
      "VLANName": {
        "@ID": "1",
        "@Color": "Blue",
        "#text": "Default"
      }
    }
  }
}
